/* CTA:
	- Normalize
	- Typography
	- Header
	- Headline
	- TV
	- TV Thumbs
	- TV Progress Bar
	- TV Arrows
	- CTA
	- Footer
*/

/* Universal ================================== */

*,
:after,
:before {
	box-sizing: border-box;
	text-rendering: optimizeLegibility;
}

*:focus {
	outline: 0;
}

body,
html {
	margin: 0;
	font-size: 18px;
	line-height: 27px;
	color: #00244D;
	font-family: $mont;
}

html{
	min-height:100%;
	overflow-x: hidden;
}

body {
	margin: 0;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	position: relative;
	overflow-x: hidden;
	background-color: #142B12;
	color: white;
	font-size: 16px;
	line-height: 1.5;
	font-family: "acumin-pro", sans-serif;
}

main{
	position: relative;
	overflow-x: hidden;
}

/* Typography ================================== */

h1{
	font-family: "sacramento", sans-serif;
	font-size: 7vw;
	line-height: 1;
	font-weight: normal;
	margin:0;
}
h2{
	font-size: 26px;
	color: #A0DCF1;
}

.button{
	font-size: 35px;
	font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
	font-weight: bold;
	text-transform: uppercase;
	letter-spacing: 1px;
	color: #97D0E2;
	border: 9px solid #97D0E2;
	border-radius: 64px;
	text-decoration: none;
	padding: 32px 94px;
	transition: all .25s ease-in-out;
}
.button:hover,
.button:active{
	border-color: white;
	color: #142B12;
	background-color: #97D0E2;
}
/* Header ================================== */
header{
	background: url("../images/accent.svg") center center repeat-x;
	background-size: contain;
	padding: 15px 6vw;
}
header a{
	background-color: #142B12;
	padding: 2vw;
	display: inline-block;
}
header img{
	max-width: 300px;
	min-width: 200px;
	width: 25vw;
}

/* Heading ================================== */
.headline img{
	margin: auto;
	display: block;
	max-width: 60%;
}
@media(max-width: 767px){
	.headline img{
		max-width: 100%;
	}
}

/* TV ================================== */
.tv{
	display: flex;
	flex-wrap: wrap;
}
.tv__video{
	position: relative;
	width: 60%;
	height: 80vh;
	margin-bottom: auto;
	cursor: pointer;
}
.tv__video:before{
	content:'';
	max-width: 700px;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	margin: auto;
	display: block;
	box-shadow: inset 0 0 70px 50px #142a12;
}
.tv__video video{
	max-width: 700px;
	width: 100%;
	max-height: 80vh;
	display: none;
	margin: auto;
}
.slick-active .tv__video video{
	display: block;
}
.tv__play{
	position: absolute;
	z-index: 10;
	background-color: transparent;
	border:0;
	border-radius: 0;
	cursor: pointer;
	width: 100%;
	height: 100%;
}
.tv__play--playing{
	display: none;
}
.tv__play svg{
	width: 100px;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
	margin-top: -40px;
}
.tv__play svg path{
	transition: fill .25s ease-in-out;
}
.tv__play:hover svg path{
	fill: white;
}
.tv__caption{
	width: 40%;
	padding-top: 100px;
	padding-left: 0;
	padding-right: 50px;
	max-width: 636px;
	position: absolute;
	left: 60%;
}
.tv__photo{
	width: 240px;
	height: 240px;
	position: relative;
	border-radius: 100%;
	overflow: hidden;
	border: 1px solid #707070;
	margin-bottom: 40px;
}
.tv__photo img{
	object-fit: cover;
	width: 100%;
	height: 100%;
}
.tv__bio h2{
	-webkit-font-smoothing: antialiased;
	margin-top: 0;
}
.tv__bio h2 span{
	text-transform: uppercase;
}
.tv__bio p{
	font-size: 24px;
	font-weight: 400;
	-webkit-font-smoothing: antialiased;
	margin-top: 15px;
}
.tv__bio--center{
	text-align: center;
	width:240px;
}
@media(max-width: 1600px){
	.tv__caption{
		padding-left: 0;
		padding-right: 5%;
	}
	.tv__bio p{
		font-size: 25px;
	}
}
@media(max-width: 1500px){
	.tv__photo{
		width: 200px;
		height: 200px;
		margin-bottom: 30px;
	}
	.tv__bio--center{
		width:200px;
		display: none;
	}
}
@media(max-width: 1200px){
	.tv{
		flex-direction: column;
	}
	.tv__video{
		width: 90%;
		left: 5%;
		margin-top: -50px;
	}
	.tv__caption{
		position: static;
		width: 100%;
		max-width: 100%;
		padding-top: 0;
		padding-left: 5%;
		margin-top: -15px;
		z-index: 2;
	}
	.tv__photo{
		display: none;
	}
	.tv__bio--center{
		margin-left: auto;
		margin-right: auto;
		width: 100%;
	}
	.tv__bio h2{
		margin-top: 0;
		font-size: 24px;
	}
	.tv__bio p{
		font-size: 20px;
	}
}
@media(max-width: 767px){
	.tv__video{
		width: 100%;
		left: 0;
		height: 650px;
	}
	.tv__video:before{
		height: 650px;
	}
	.tv__play svg{
		width: 80px;
		margin-top: -30px;
	}
	.tv__bio h2{
		font-size: 20px;
	}
}
@media(max-width: 650px){
	.tv__video{
		height: 100vw;
	}
	.tv__video:before{
		height: 100vw;
	}
	.tv__play{
		padding-top: 100%;
		height: auto;
	}
	.tv__play svg{
		margin-top: -20px;
	}
	.tv__caption{
		margin-top: -30px;
	}
}

/* TV Thumbs ================================== */
.slick{
	position: relative;
	width: 100%;
	max-width: 100%;
}
.slick__slides .slick-list{
	overflow: visible;
}
.slick__thumbs{
	width: 50%;
	left: 5%;
	position: relative;
	padding: 120px 0 0 0;
	margin-top: -60px;
	z-index: 10;
}
.slick__thumbs:before{
	content: '';
	width: 25%;
	height: 220px;
	display: flex;
	position: absolute;
	bottom: 0;
	left: 0;
	background: linear-gradient(to right, rgba(20,42,18,1) 0%,rgba(20,42,18,0) 100%);
	z-index: 2;
	pointer-events: none;
}
.slick__thumbs:after{
	content: '';
	width: 25%;
	height: 220px;
	display: block;
	position: absolute;
	bottom: 0;
	right: 0;
	background: linear-gradient(to left, rgba(20,42,18,1) 0%,rgba(20,42,18,0) 100%);
	z-index: 2;
	pointer-events: none;
}
.slick__thumb{
	background-color: transparent;
	border: 0;
	border-radius: 0;
	position: relative;
	cursor: pointer;
}
.slick__thumb.slick-current .slick__thumb-photo,
.slick__thumb.slick-current .slick__thumb-title{
	opacity: 1;
}
.slick__thumb-photo{
	width: 96px;
	height: 96px;
	border-radius: 100%;
	position: relative;
	overflow: hidden;
	margin: auto ;
	border: 1px solid #707070;
	opacity: .43;
}
.slick__thumb-photo img{
	object-fit: cover;
	width: 100%;
	height: 100%;
}
.slick__thumb-title{
	font-size: 30px; 
	text-transform: uppercase;
	font-weight: bold;
	color: white;
	opacity: .43;
	padding: 20px 45px;
}

@media(max-width: 1200px){
	.slick{
		display: flex;
		flex-direction: column;
		margin-top: 40px;
	}
	.slick-slider{
		order: 2;
	}
	.slick__thumbs{
		order: 0;
		width: 100%;
		left: 0;
	}
	.slick__thumb-title{
		font-size: 24px; 
	}
}

/* TV Progress Bar ================================== */
.slick-dots{
	position: absolute;
	top: 0;
	z-index: 4;
	display: flex;
	list-style-type: none;
	margin: 0;
	padding: 52px 0 0 0;
	width: 100%;
	font-size: 0;
	border-radius: 20px;
}
.slick-dots li{
	margin: 0;
	padding: 0;
	width: 100%;
}
.slick-dots li:first-child button,
.slick-dots li:first-child button:before{
	border-top-left-radius: 20px;
	border-bottom-left-radius: 20px;
}
.slick-dots li:last-child button,
.slick-dots li:last-child button:before{
	border-top-right-radius: 20px;
	border-bottom-right-radius: 20px;
}
.slick-dots button{
	width: 100%;
	height: 10px;
	border: 0;
	font-size: 0;
	background-color: #22451D;
	position: relative;
}
.slick-dots button:before{
	content:'';
	width: 100%;
	height: 100%;
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	opacity: 1;
	background-color: #A1DCF2;
	transition: width .25s ease-in;
}
.slick-dots li.slick-active button:before{
	width: 100%;
	transition: width .25s ease-in;
}
.slick-dots li.slick-active ~ li button:before {
	width: 0;
	opacity: 0;
}
@keyframes moveSnowflake {
  from {transform: scale(0);}
  to {transform: scale(1);}
}
.slick-dots li button:after{
	content: '';
	width: 68px;
	height: 84px;
	position: absolute;
	background: url("../images/snowflake.svg") center center no-repeat transparent;
	background-size: contain;
	top: -34px;
	margin-left: -34px;
	left: 0;
	z-index: 6;
	transform: scale(0);
}
.slick-dots li.slick-active button:after{
	animation-name: moveSnowflake;
	animation-delay: .25s;
	animation-duration: .35s;
	animation-timing-function: ease-in;
	animation-fill-mode: forwards;
	left: 100%;
}

@media(max-width: 1200px){
	.slick-dots{
		width: 90%;
		left: 5%;
	}
}

/* TV Arrows ================================== */
.slick__arrows{
	width: 50%;
	display: flex;
	justify-content: space-between;
	position: absolute;
	left: 5%;
	bottom: 100px;
	z-index: 12;
}
.slick__arrow{
	background-color: transparent;
	border: 0;
	border-radius: 0;
	cursor: pointer;
}
.slick__arrow.slick-disabled{
	opacity: 0;
	pointer-events: none;
}
.slick__arrow svg path,
.slick__arrow svg path{
	transition: fill .25s ease-in-out;
}
.slick__arrow:hover svg path,
.slick__arrow:active svg path{
	fill: #A4DFF6;
}

@media(max-width: 1200px){
	.slick__arrows{
		order: 0;
		bottom: auto;
		top: 130px;
		width: 90%;
	}
}

/* CTA ================================== */
.cta{
	text-align: center;
	margin: 170px auto 150px auto;
	max-width: 1300px;
}
.cta h1{
	margin-bottom: 70px;
	padding: 0 20px;
}
.cta .button{
	display: inline-block;
	padding: 20px 50px;
	font-size: 25px;
	border-width: 4px;
}
@media(max-width: 1200px){
	.cta{
		margin-top: 30px;
	}
	.cta .button{
		padding: 15px 45px;
		font-size: 20px;
		border-radius: 30px;
		border-width: 4px;
	}
}
@media(max-width: 767px){
	.cta{
		margin-bottom: 50px;
	}
	.cta .button{
		padding-left: 20px;
		padding-right: 20px;
	}
	.cta h1{
		font-size: 3rem;
	}
}

/* Footer ================================== */
footer img{
	width: 100%;
	display: block;
}
footer p{
	background-color: white;
	margin:0;
	width: 100%;
	text-align: center;
	font-size: 20px;
	font-weight: bold;
	color: #959595;
	text-transform: uppercase;
	font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
	letter-spacing: 1px;
	padding: 20px 20px 70px 20px;
}
@media(max-width: 1200px){
	footer p{
		font-size: 18px;
	}
}
@media(max-width: 767px){
	footer p{
		font-size: 15px;
	}
}